NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.StudioXformBuilder Class Reference

Represents a NXOpen.Features.StudioXform builder More...

Inheritance diagram for NXOpen.Features.StudioXformBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AdvancedMethodType {
  ChangeDegree, Falloff, ProportionalMovement, KeepContinuity,
  LockRegion, InsertKnot, AdvanceOff
}
 Represents the advanced method type More...
 
enum  FeatureType { Relative, Absolute }
 Represents the feature type More...
 
enum  InsertKnotDirectionType { UDirection, VDirection }
 Represents the insert knot direction type More...
 
enum  PlanarizeDirectionType { U, V }
 Represents the planarize direction type More...
 
enum  PlanarizeMethodType { AtPlaneLocation, AtPoleLocation, OnABestFitPlane }
 Represents the planarize method type More...
 
enum  PlanarizePlaneOptionType { YcZc, XcZc, XcYc, ArbitraryPlane }
 Represents the plane option type More...
 
enum  RotatingPivotType { AboutObjectCenter, AboutSelectedObject, AboutPoint }
 Represents the rotating pivot type More...
 
enum  RotationDirectionType {
  Xc, Yc, Zc, ArbitraryDirection,
  ArbitraryPlane
}
 Represents the rotation direction type More...
 
enum  ScalingCenterType { AboutObjectCenter, AboutSelectedObject, AboutPoint }
 Represents the scaling center type More...
 
enum  ScalingDirectionType {
  ScaleUniformly, PlaneOfCurve, Xc, Yc,
  Zc, YcZc, XcZc, XcYc,
  ArbitraryDirection, ArbitraryPlane
}
 Represents the scaling direction type More...
 
enum  TranslationDirectionType {
  Xc, Yc, Zc, YcZc,
  XcZc, XcYc, ArbitraryDirection, ArbitraryPlane
}
 Represents the translation direction type More...
 
enum  Types {
  Translate, Rotate, Scale, TranslateNormalToFaceOrCurve,
  TranlsateAlongControlPolygon, PlanarizeRowOfPoles
}
 Represents the Xform type More...
 

Public Member Functions

unsafe void ChangeDegree (NXOpen.NXObject xformObject)
 Changes degree of the selected xform object More...
 
unsafe void ChangeFlexibility (NXOpen.NXObject xformObject)
 Changes flexibility of the selected xform object More...
 
unsafe void ConvertParameters (NXOpen.NXObject xformObject)
 Converts parameters of the feature that owns selected xform object. More...
 
unsafe void FallOffReset ()
 Reset the fall off scale More...
 
unsafe void InsertKnot (NXOpen.NXObject xformObject)
 Inserts knot in the selected xform object More...
 
unsafe void InsertKnots ()
 Insert knots More...
 
unsafe void ProportionalReset ()
 Reset the proportional scale More...
 
unsafe void ShapeReset ()
 Reset the shape of a edited face or curve More...
 
unsafe void UpdateLockRegionGeometry (NXOpen.NXObject xformObject)
 Update lock region geometry with current geometry More...
 
unsafe void UpdateXformObject (NXOpen.NXObject xformObject)
 Updates the selected xform object More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.StudioXformBuilder.AdvancedMethodType 
AdvancedMethod [get, set]
 Returns or sets the advanced method More...
 
unsafe NXOpen.Point CenterPoint [get, set]
 Returns or sets the scaling center type More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityUMax [get]
 Returns the continuity at U maximum More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityUMin [get]
 Returns the continuity at U minimum More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityVMax [get]
 Returns the continuity at V maximum More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
ContinuityVMin [get]
 Returns the continuity at V minimum More...
 
unsafe
NXOpen.GeometricUtilities.ControlPoleManagerData 
ControlPoleManager [get]
 Returns the control pole manager More...
 
unsafe
NXOpen.GeometricUtilities.CurveRangeBuilder 
CurveRange [get]
 Returns the curve range More...
 
unsafe
NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder 
DegreesAndSegmentsOrPatches [get]
 Returns the degrees and segments or patches More...
 
unsafe double FallOffScale [get, set]
 Returns or sets the fall off scale More...
 
unsafe
NXOpen.Features.StudioXformBuilder.FeatureType 
FeatureSaveMethod [get, set]
 Returns or sets the feature save method More...
 
unsafe
NXOpen.Features.StudioXformBuilder.InsertKnotDirectionType 
InsertKnotDirection [get, set]
 Returns or sets the insert knot direction More...
 
unsafe int InsertKnotParameter [get, set]
 Returns or sets the parameter where to insert knots More...
 
unsafe bool IsSingleSelection [get, set]
 Returns or sets the single selection flag More...
 
unsafe bool KeepAllContinuity [get, set]
 Returns or sets a value indicating whether to keep all continuity More...
 
unsafe int LockRegionUEndFlexibility [get, set]
 Returns or sets the lock region flexibility at U end More...
 
unsafe int LockRegionUStartFlexibility [get, set]
 Returns or sets the lock region flexibility at U start More...
 
unsafe int LockRegionVEndFlexibility [get, set]
 Returns or sets the lock region flexibility at V end More...
 
unsafe int LockRegionVStartFlexibility [get, set]
 Returns or sets the lock region flexibility at V start More...
 
unsafe NXOpen.Point PivotPoint [get, set]
 Returns or sets the rotating center More...
 
unsafe NXOpen.Plane PlanarizeArbitraryPlane [get, set]
 Returns or sets the planarize arbitrary plane More...
 
unsafe
NXOpen.Features.StudioXformBuilder.PlanarizeDirectionType 
PlanarizeDirection [get, set]
 Returns or sets the planarize direction More...
 
unsafe
NXOpen.Features.StudioXformBuilder.PlanarizeMethodType 
PlanarizeMethod [get, set]
 Returns or sets the planarize method More...
 
unsafe
NXOpen.Features.StudioXformBuilder.PlanarizePlaneOptionType 
PlanarizePlaneOption [get, set]
 Returns or sets the planarize plane option More...
 
unsafe bool ProportionalAllU [get, set]
 Returns or sets a value indicating whether to use all poles in U direction during the proportional movement More...
 
unsafe bool ProportionalAllV [get, set]
 Returns or sets a value indicating whether to use all poles in V direction during the proportional movement More...
 
unsafe double ProportionalFallOffScale [get, set]
 Returns or sets the proportional fall off scale More...
 
unsafe int ProportionalMoveAfterU [get, set]
 Returns or sets a value indicating the pole number after u to participate in the proportional movement More...
 
unsafe int ProportionalMoveAfterV [get, set]
 Returns or sets a value indicating the pole number after v to participate in the proportional movement More...
 
unsafe int ProportionalMoveBeforeU [get, set]
 Returns or sets a value indicating the pole number before u to participate in the proportional movement More...
 
unsafe int ProportionalMoveBeforeV [get, set]
 Returns or sets a value indicating the pole number before v to participate in the proportional movement More...
 
unsafe
NXOpen.Features.StudioXformBuilder.RotatingPivotType 
RotatingPivot [get, set]
 Returns or sets the rotating center type More...
 
unsafe NXOpen.Plane RotationArbitraryPlane [get, set]
 Returns or sets the rotation arbitrary plane. More...
 
unsafe NXOpen.Direction RotationArbitraryVector [get, set]
 Returns or sets the rotation arbitrary vector. More...
 
unsafe
NXOpen.Features.StudioXformBuilder.RotationDirectionType 
RotationDirection [get, set]
 Returns or sets the rotation direction More...
 
unsafe NXOpen.Plane ScalingArbitraryPlane [get, set]
 Returns or sets the scaling arbitrary plane. More...
 
unsafe NXOpen.Direction ScalingArbitraryVector [get, set]
 Returns or sets the scaling arbitrary vector. More...
 
unsafe
NXOpen.Features.StudioXformBuilder.ScalingCenterType 
ScalingCenter [get, set]
 Returns or sets the scaling center More...
 
unsafe
NXOpen.Features.StudioXformBuilder.ScalingDirectionType 
ScalingDirection [get, set]
 Returns or sets the scaling direction More...
 
unsafe
NXOpen.GeometricUtilities.SurfaceRangeBuilder 
SurfaceRange [get]
 Returns the surface range More...
 
unsafe NXOpen.Plane TranslationArbitraryPlane [get, set]
 Returns or sets the translation arbitrary plane. More...
 
unsafe NXOpen.Direction TranslationArbitraryVector [get, set]
 Returns or sets the translation arbitrary vector. More...
 
unsafe
NXOpen.Features.StudioXformBuilder.TranslationDirectionType 
TranslationDirection [get, set]
 Returns or sets the translation direction More...
 
unsafe
NXOpen.Features.StudioXformBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.SelectNXObjectList XformObjects [get]
 Returns the object to be transformed. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.StudioXform builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateStudioXformBuilder

Default values.

Property Value

AdvancedMethod

AdvanceOff

CurveRange.AnchorPosition

Start

DegreesAndSegmentsOrPatches.Degree

3

DegreesAndSegmentsOrPatches.SegmentsOrPatches

1

DegreesAndSegmentsOrPatches.UDegree

5

DegreesAndSegmentsOrPatches.UPatches

1

DegreesAndSegmentsOrPatches.VDegree

5

DegreesAndSegmentsOrPatches.VPatches

1

FallOffScale

0

FeatureSaveMethod

Relative

InsertKnotDirection

UDirection

InsertKnotParameter

20

IsSingleSelection

1

KeepAllContinuity

0

LockRegionUEndFlexibility

0

LockRegionUStartFlexibility

0

LockRegionVEndFlexibility

0

LockRegionVStartFlexibility

0

PlanarizeDirection

U

PlanarizeMethod

AtPlaneLocation

PlanarizePlaneOption

YcZc

ProportionalAllU

0

ProportionalAllV

0

ProportionalFallOffScale

0

ProportionalMoveAfterU

0

ProportionalMoveAfterV

0

ProportionalMoveBeforeU

0

ProportionalMoveBeforeV

0

RotationDirection

Zc

ScalingDirection

Zc

SurfaceRange.AnchorPosition

Vertex1

TranslationDirection

Zc

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.Features.StudioXformBuilderEx instead.

Member Enumeration Documentation

Represents the advanced method type

Enumerator
ChangeDegree 

Change degree

Falloff 

Fall off

ProportionalMovement 

Proportional movement

KeepContinuity 

Keep continuity

LockRegion 

Lock region

InsertKnot 

Insert knot

AdvanceOff 

Turn off advanced methods

Represents the feature type

Enumerator
Relative 

Relative feature type of Xform

Absolute 

Absolute feature type of Xform

Represents the insert knot direction type

Enumerator
UDirection 

Inser knot in U direction

VDirection 

Inser knot in V direction

Represents the planarize direction type

Enumerator
U 

U direction when planarize

V 

V direction when planarize

Represents the planarize method type

Enumerator
AtPlaneLocation 

planarize at plane location

AtPoleLocation 

planarize at pole location

OnABestFitPlane 

planarize at a best fit plane

Represents the plane option type

Enumerator
YcZc 

On Y-Z plane when planarize

XcZc 

On X-Z plane when planarize

XcYc 

On X-Y plane when planarize

ArbitraryPlane 

On arbitrary plane when planarize

Represents the rotating pivot type

Enumerator
AboutObjectCenter 

Rotate pivot at the object center

AboutSelectedObject 

Rotate pivot at the selected object

AboutPoint 

Rotate pivot at a point

Represents the rotation direction type

Enumerator
Xc 

Rotate in X direction

Yc 

Rotate in Y direction

Zc 

Rotate in Z direction

ArbitraryDirection 

Rotate in arbitrary direction

ArbitraryPlane 

Rotate on arbitrary plane

Represents the scaling center type

Enumerator
AboutObjectCenter 

Scale center at the object center

AboutSelectedObject 

Scale center at the selected object

AboutPoint 

Scale center at a point

Represents the scaling direction type

Enumerator
ScaleUniformly 

Scale uniformly

PlaneOfCurve 

Scale on Plane of curve

Xc 

Scale in X direction

Yc 

Scale in Y direction

Zc 

Scale in Z direction

YcZc 

Scale on Y-Z plane

XcZc 

Scale on X-Z plane

XcYc 

Scale on X-Y plane

ArbitraryDirection 

Scale in arbitrary direction

ArbitraryPlane 

Scale on arbitrary plane

Represents the translation direction type

Enumerator
Xc 

Translate in X direction

Yc 

Translate in Y direction

Zc 

Translate in Z direction

YcZc 

Translate on Y-Z plane

XcZc 

Translate on X-Z plane

XcYc 

Translate on X-Y plane

ArbitraryDirection 

Translate in arbitrary direction

ArbitraryPlane 

Translate on arbitrary plane

Represents the Xform type

Enumerator
Translate 

Translate type of Xform

Rotate 

Rotate type of Xform

Scale 

Scale type of Xform

TranslateNormalToFaceOrCurve 

Along normal type of Xform

TranlsateAlongControlPolygon 

Along polygon type of Xform

PlanarizeRowOfPoles 

Planarize type of Xform

Member Function Documentation

unsafe void NXOpen.Features.StudioXformBuilder.ChangeDegree ( NXOpen.NXObject  xformObject)
inline

Changes degree of the selected xform object

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change degree of
unsafe void NXOpen.Features.StudioXformBuilder.ChangeFlexibility ( NXOpen.NXObject  xformObject)
inline

Changes flexibility of the selected xform object

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
unsafe void NXOpen.Features.StudioXformBuilder.ConvertParameters ( NXOpen.NXObject  xformObject)
inline

Converts parameters of the feature that owns selected xform object.

Converts through points studio spline feature to by poles feature, otherwise removes parameters of the feature.

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to convert pameters from
unsafe void NXOpen.Features.StudioXformBuilder.FallOffReset ( )
inline

Reset the fall off scale

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilder.InsertKnot ( NXOpen.NXObject  xformObject)
inline

Inserts knot in the selected xform object

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to insert knot in
unsafe void NXOpen.Features.StudioXformBuilder.InsertKnots ( )
inline

Insert knots

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilder.ProportionalReset ( )
inline

Reset the proportional scale

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilder.ShapeReset ( )
inline

Reset the shape of a edited face or curve

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.StudioXformBuilder.UpdateLockRegionGeometry ( NXOpen.NXObject  xformObject)
inline

Update lock region geometry with current geometry

Created in NX6.0.2

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to change flexibility of
unsafe void NXOpen.Features.StudioXformBuilder.UpdateXformObject ( NXOpen.NXObject  xformObject)
inline

Updates the selected xform object

Created in NX6.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Parameters
xformObjectthe selected face or curve to be edited

Property Documentation

unsafe NXOpen.Features.StudioXformBuilder.AdvancedMethodType NXOpen.Features.StudioXformBuilder.AdvancedMethod
getset

Returns or sets the advanced method

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.StudioXformBuilder.CenterPoint
getset

Returns or sets the scaling center type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilder.ContinuityUMax
get

Returns the continuity at U maximum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilder.ContinuityUMin
get

Returns the continuity at U minimum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilder.ContinuityVMax
get

Returns the continuity at V maximum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.StudioXformBuilder.ContinuityVMin
get

Returns the continuity at V minimum

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ControlPoleManagerData NXOpen.Features.StudioXformBuilder.ControlPoleManager
get

Returns the control pole manager

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveRangeBuilder NXOpen.Features.StudioXformBuilder.CurveRange
get

Returns the curve range

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder NXOpen.Features.StudioXformBuilder.DegreesAndSegmentsOrPatches
get

Returns the degrees and segments or patches

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Features.StudioXformBuilder.FallOffScale
getset

Returns or sets the fall off scale

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.FeatureType NXOpen.Features.StudioXformBuilder.FeatureSaveMethod
getset

Returns or sets the feature save method

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.InsertKnotDirectionType NXOpen.Features.StudioXformBuilder.InsertKnotDirection
getset

Returns or sets the insert knot direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.InsertKnotParameter
getset

Returns or sets the parameter where to insert knots

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilder.IsSingleSelection
getset

Returns or sets the single selection flag

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilder.KeepAllContinuity
getset

Returns or sets a value indicating whether to keep all continuity

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.LockRegionUEndFlexibility
getset

Returns or sets the lock region flexibility at U end

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.LockRegionUStartFlexibility
getset

Returns or sets the lock region flexibility at U start

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.LockRegionVEndFlexibility
getset

Returns or sets the lock region flexibility at V end

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.LockRegionVStartFlexibility
getset

Returns or sets the lock region flexibility at V start

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.Features.StudioXformBuilder.PivotPoint
getset

Returns or sets the rotating center

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilder.PlanarizeArbitraryPlane
getset

Returns or sets the planarize arbitrary plane

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.PlanarizeDirectionType NXOpen.Features.StudioXformBuilder.PlanarizeDirection
getset

Returns or sets the planarize direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.PlanarizeMethodType NXOpen.Features.StudioXformBuilder.PlanarizeMethod
getset

Returns or sets the planarize method

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.PlanarizePlaneOptionType NXOpen.Features.StudioXformBuilder.PlanarizePlaneOption
getset

Returns or sets the planarize plane option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilder.ProportionalAllU
getset

Returns or sets a value indicating whether to use all poles in U direction during the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.StudioXformBuilder.ProportionalAllV
getset

Returns or sets a value indicating whether to use all poles in V direction during the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Features.StudioXformBuilder.ProportionalFallOffScale
getset

Returns or sets the proportional fall off scale

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.ProportionalMoveAfterU
getset

Returns or sets a value indicating the pole number after u to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.ProportionalMoveAfterV
getset

Returns or sets a value indicating the pole number after v to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.ProportionalMoveBeforeU
getset

Returns or sets a value indicating the pole number before u to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Features.StudioXformBuilder.ProportionalMoveBeforeV
getset

Returns or sets a value indicating the pole number before v to participate in the proportional movement

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.RotatingPivotType NXOpen.Features.StudioXformBuilder.RotatingPivot
getset

Returns or sets the rotating center type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilder.RotationArbitraryPlane
getset

Returns or sets the rotation arbitrary plane.

Used only when the RotationPlane is ArbitraryPlane.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.StudioXformBuilder.RotationArbitraryVector
getset

Returns or sets the rotation arbitrary vector.

Used only when the RotationDirection is ArbitraryDirection.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.RotationDirectionType NXOpen.Features.StudioXformBuilder.RotationDirection
getset

Returns or sets the rotation direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilder.ScalingArbitraryPlane
getset

Returns or sets the scaling arbitrary plane.

Used only when the ScalingDirection is ArbitraryPlane.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.StudioXformBuilder.ScalingArbitraryVector
getset

Returns or sets the scaling arbitrary vector.

Used only when the ScalingDirection is ArbitraryDirection.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.ScalingCenterType NXOpen.Features.StudioXformBuilder.ScalingCenter
getset

Returns or sets the scaling center

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.ScalingDirectionType NXOpen.Features.StudioXformBuilder.ScalingDirection
getset

Returns or sets the scaling direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.SurfaceRangeBuilder NXOpen.Features.StudioXformBuilder.SurfaceRange
get

Returns the surface range

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.StudioXformBuilder.TranslationArbitraryPlane
getset

Returns or sets the translation arbitrary plane.

Used only when the TranslationDirection is ArbitraryPlane.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Direction NXOpen.Features.StudioXformBuilder.TranslationArbitraryVector
getset

Returns or sets the translation arbitrary vector.

Used only when the TranslationDirection is ArbitraryDirection.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.TranslationDirectionType NXOpen.Features.StudioXformBuilder.TranslationDirection
getset

Returns or sets the translation direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.StudioXformBuilder.Types NXOpen.Features.StudioXformBuilder.Type
getset

Returns or sets the type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObjectList NXOpen.Features.StudioXformBuilder.XformObjects
get

Returns the object to be transformed.

Any face having b-surface type geometry or curve having b-curve geometry can be transformed.

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.